PETSc version 3.15.5
Fix/Edit manual page

# ISComplement

Given an index set (IS) generates the complement index set. That is all all indices that are NOT in the given set.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISComplement(IS is,PetscInt nmin,PetscInt nmax,IS *isout)

Collective on IS

### Input Parameter

| is | - the index set
| nmin | - the first index desired in the local part of the complement
| nmax | - the largest index desired in the local part of the complement (note that all indices in is must be greater or equal to nmin and less than nmax)

### Output Parameter

| isout | - the complement

### Notes

The communicator for this new IS is the same as for the input IS

For a parallel IS, this will generate the local part of the complement on each process

To generate the entire complement (on each process) of a parallel IS, first call ISAllGather() and then call this routine.

### See Also

ISCreateGeneral(), ISCreateStride(), ISCreateBlock(), ISAllGather()

### Level

intermediate

### Location

src/vec/is/is/utils/iscoloring.c

### Examples

src/vec/vec/utils/tagger/tutorials/ex1.c.html
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages